<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.util.LittleEndian.BufferUnderrunException (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.util.LittleEndian.BufferUnderrunException (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
               title="class in org.apache.poi.util">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/LittleEndian.BufferUnderrunException.html"
               target="_top">Frames</a></li>
        <li><a href="LittleEndian.BufferUnderrunException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.util.LittleEndian.BufferUnderrunException" class="title">Uses of Class<br>org.apache.poi.util.LittleEndian.BufferUnderrunException
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                        title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ddf">org.apache.poi.ddf</a></td>
                    <td class="colLast">
                        <div class="block">This package contains classes for decoding the Microsoft Office
                            Drawing format otherwise known as escher henceforth known in POI
                            as the Dreadful Drawing Format.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.util">org.apache.poi.util</a></td>
                    <td class="colLast">
                        <div class="block">Top-level util package are classes that are useful throughout the project.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.ddf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                   title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a> in <a
                            href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/ddf/package-summary.html">org.apache.poi.ddf</a> that throw <a
                                href="../../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherDump.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ddf/EscherDump.html#dumpOld-long-java.io.InputStream-java.io.PrintStream-">dumpOld</a></span>(long&nbsp;maxLength,
                                java.io.InputStream&nbsp;in,
                                java.io.PrintStream&nbsp;out)</code>
                                <div class="block">This version of dump is a translation from the open office escher
                                    dump routine.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                   title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a> in <a
                            href="../../../../../org/apache/poi/util/package-summary.html">org.apache.poi.util</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/util/package-summary.html">org.apache.poi.util</a> that throw <a
                                href="../../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static int</code></td>
                            <td class="colLast"><span class="typeNameLabel">LittleEndian.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/LittleEndian.html#readInt-java.io.InputStream-">readInt</a></span>(java.io.InputStream&nbsp;stream)</code>
                                <div class="block">get an int value from an InputStream</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static long</code></td>
                            <td class="colLast"><span class="typeNameLabel">LittleEndian.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/LittleEndian.html#readLong-java.io.InputStream-">readLong</a></span>(java.io.InputStream&nbsp;stream)</code>
                                <div class="block">get a long value from an InputStream</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static short</code></td>
                            <td class="colLast"><span class="typeNameLabel">LittleEndian.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/LittleEndian.html#readShort-java.io.InputStream-">readShort</a></span>(java.io.InputStream&nbsp;stream)</code>
                                <div class="block">get a short value from an InputStream</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static long</code></td>
                            <td class="colLast"><span class="typeNameLabel">LittleEndian.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/LittleEndian.html#readUInt-java.io.InputStream-">readUInt</a></span>(java.io.InputStream&nbsp;stream)</code>
                                <div class="block">get an unsigned int value from an InputStream</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static int</code></td>
                            <td class="colLast"><span class="typeNameLabel">LittleEndian.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/LittleEndian.html#readUShort-java.io.InputStream-">readUShort</a></span>(java.io.InputStream&nbsp;stream)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
               title="class in org.apache.poi.util">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/LittleEndian.BufferUnderrunException.html"
               target="_top">Frames</a></li>
        <li><a href="LittleEndian.BufferUnderrunException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
